View Issue Details

IDProjectCategoryView StatusLast Update
0000284PluginsFARCmdspublic2014-07-09 09:11
ReporterjbakAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000284: Падение FAR Commands на команде edit:<echo %PATH%
DescriptionЕсть длинная переменная окружения PATH (длина 1166 символов). Вызов команды edit:<echo %PATH%
гарантированно подвешивает Far. Помогает запуск
edit:<set PATH

P.S. Тот же эффект - переменная MYTMP размером 600 символов и запуск
edit:<echo %MYTMP%%MYTMP%
TagsNo tags attached.

Activities

vskirdin

2007-05-10 05:16

administrator   bugnote:0000459

Наводка:

FARCmds.cpp::
>char selectItem[NM*5];

OpenCmd.cpp
int OpenFromCommandLine(char *_farcmd)
{
  if ( !_farcmd ) return FALSE;

> static char farcmdbuf[NM*10], *farcmd;
  farcmd=farcmdbuf;
> lstrcpy(farcmdbuf, _farcmd);
.
.
.
> ExpandEnvironmentStr(selectItem,selectItem,sizeof(selectItem));

alexy

2007-06-29 07:39

administrator   bugnote:0000513

Заставить упасть не получилось, но для длинных переменых оно просто ничего не делает (игнорирует команду).

vskirdin

2014-07-08 17:12

administrator   bugnote:0012676

build 116

JohnDoe

2014-07-08 22:11

updater   bugnote:0012693

600 символов без проблем

vskirdin

2014-07-09 09:11

administrator   bugnote:0012700

у меня максимум вроде 8000 с хвостом получалось, а дальше cmd говорил, мол фсё, не переварю столько :-)

Issue History

Date Modified Username Field Change
2007-05-08 04:41 jbak New Issue
2007-05-08 04:41 jbak Status new => assigned
2007-05-08 04:41 jbak Assigned To => alexy
2007-05-10 05:16 vskirdin Note Added: 0000459
2007-06-29 07:37 alexy Project Far Manager 1.7x => Plugins
2007-06-29 07:39 alexy Note Added: 0000513
2007-06-29 07:39 alexy Category Command Line/Execute => FARCmds
2007-06-29 08:18 alexy Assigned To alexy =>
2007-06-29 08:19 alexy Status assigned => confirmed
2007-07-16 16:16 alexy Status confirmed => new
2014-07-03 16:39 vskirdin Assigned To => vskirdin
2014-07-03 16:39 vskirdin Status new => assigned
2014-07-08 17:12 vskirdin Note Added: 0012676
2014-07-08 17:12 vskirdin Status assigned => feedback
2014-07-08 22:11 JohnDoe Note Added: 0012693
2014-07-09 09:11 vskirdin Note Added: 0012700
2014-07-09 09:11 vskirdin Status feedback => closed
2014-07-09 09:11 vskirdin Resolution open => fixed
2014-07-09 09:11 vskirdin Fixed in Version => 3.0